## ros-one-interval-intersection 0.10.15-4jammy.20260220.2355

=== debian/changelog ===
ros-one-interval-intersection (0.10.15-4jammy.20260220.2355) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Fri, 20 Feb 2026 23:55:23 +0000
