=== debian/changelog ===
ros-one-interval-intersection (0.10.15-4noble.20260221.0020) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 21 Feb 2026 00:20:11 +0000
