=== debian/control ===
Source: ros-one-interval-intersection
Section: misc
Priority: optional
Maintainer: David Feil-Seifer <david.feilseifer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-calibration-msgs, ros-one-catkin (>= 0.5.68), ros-one-geometry-msgs, ros-one-rosconsole, ros-one-roscpp, ros-one-roscpp-serialization, ros-one-rostime, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/interval_intersection
Standards-Version: 3.9.2

Package: ros-one-interval-intersection
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-calibration-msgs, ros-one-geometry-msgs, ros-one-rosconsole, ros-one-roscpp, ros-one-roscpp-serialization, ros-one-rostime, ros-one-std-msgs
Description: Tools for calculating the intersection of interval messages coming in on several topics.
 This package is experimental and unstable. Expect its APIs to change.
